{
  "$schema": "../gen/schemas/desktop-schema.json",
  "identifier": "default",
  "description": "Capability for the main window",
  "windows": ["main"],
  "permissions": [
    "core:default",
    "opener:default",
    {
      "identifier": "opener:allow-open-path",
      "allow": [
        { "path": "$APPLOCALDATA/**" },
        { "path": "$APPDATA/**" },
        { "path": "$APPCONFIG/**" },
        { "path": "$RESOURCE/**" },
        { "path": "/**" }
      ]
    },
    "shell:default",
    "shell:allow-spawn",
    "fs:default",
    "fs:allow-app-read-recursive",
    "fs:allow-app-write-recursive",
    {
      "identifier": "fs:allow-read-file",
      "allow": [
        {
          "path": "$RESOURCE/**"
        }
      ]
    },
    {
      "identifier": "fs:allow-exists",
      "allow": [
        {
          "path": "$APPLOCALDATA/**"
        },
        {
          "path": "$APPDATA/**"
        },
        {
          "path": "$APPCONFIG/**"
        },
        {
          "path": "$RESOURCE/**"
        },
        {
          "path": "/**"
        }
      ]
    },
    "dialog:default",
    "dialog:allow-open",
    "dialog:allow-confirm",
    "core:window:allow-show",
    "core:window:allow-set-focus",
    "core:window:allow-close",
    "core:window:allow-destroy",
    "core:window:allow-unminimize",
    "updater:default",
    "process:allow-restart"
  ]
}
